using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.Docking;
using Telerik.WinControls.UI;
using Telerik.WinControls.RadControlSpy;

namespace RadDockingTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.dockPanel2.SizeChanged += new EventHandler(dockPanel2_SizeChanged);

            DocumentPresenterControl documentControl = documentPane1.DefaultPresenter as DocumentPresenterControl;
            DocumentPresenterElement documentElement = ((DocumentPresenterControl)documentControl).DocumentPresenterElement;
            documentElement.TabStripElement.AllowDragDrop = false;
            this.dockingManager1.TdiCloseButtonVisible = false;
        }

        void dockPanel2_SizeChanged(object sender, EventArgs e)
        {
            if (this.dockPanel2.DockState == DockState.Floating)
            {
                this.dockPanel2.FindForm().Size = new Size(500, 500);
                this.dockPanel2.FindForm().ControlBox = false;
            }
        }

        private void radToggleButton1_ToggleStateChanged(object sender, Telerik.WinControls.UI.StateChangedEventArgs args)
        {
            if (args.ToggleState == Telerik.WinControls.Enumerations.ToggleState.Off)
            {
                this.dockPanel2.DockState = Telerik.WinControls.Docking.DockState.Docked;
                this.dockingManager1.SetDock(dockPanel2, dockPanel1, DockPosition.Fill);
            }
            else
            {
                this.dockPanel2.DockState = Telerik.WinControls.Docking.DockState.Floating;
            }
        }
    }
}